/* Responsive breakpoints */
@media screen and (min-width: 1720px) {
  .wrapper {
    width: 1720px;
  }  
}

@media screen and (max-width: 1400px) {
  /* Menu fixes */
  .menu,
  .languageSwitch { display: none; }
  .menu.open {
    display: block;
    position: absolute;
    top: 55px;
    left: 0;
    background: #fff;
    z-index: 33;
    width: 100%;
    height: calc(100vh - 50px);
    padding: 60px 0;
  }
  .menu.open .inlineList {
    flex-direction: column;
  }
  .menu.open li:first-child a {
    margin-left: 3rem;
  }
  .menu.open li a:not(.button) {
    padding-top: 10px;
    padding-bottom: 10px;
  }
  .menu.open li.specialMenuItem a:not(.button) {
    border: none;
    padding: 10px 0 10px 3rem;
  }

  .mainHeader .grid { grid-template-columns: repeat(2, minmax(0, 1fr));}

  .menuTrigger { display: inline-block; }
}

@media screen and (min-width: 1400px) and (max-width: 1700px) {
  .wrapper {
    width: 1400px;
  }

  .pageHome .section--hero__content:before {
    width: 50rem;
    height: 50rem;
  }

  .pageHome .carousel {
    padding-right: 3rem;
  }
}

@media screen and (min-width: 1170px) and (max-width: 1399px) {
  .wrapper {
    width: 1170px;
  }
}
@media screen and (max-width: 1169px) {
  .wrapper {
    width: 100%;
    padding: 0 2rem;
  }

  .pageHome .carousel {
    padding-right: 3rem;
  }

  /* Section fixes */
  .section--hero .wrapper:after { display: none; }

  .section--heroMedium .section--hero__content,
  .section--heroSmall .section--hero__content { height: 20rem; }

  .section--hero__content { padding: 2rem; }

  .curveTopLeft { border-radius: 60px 0 0 0; }
  .curveTopRight { border-radius: 0 60px 0 0; }
  .curveBottomRight { border-radius: 0 0 60px 0; }
  .curveBottomLeft { border-radius: 0 0 0 60px; }

  .pageHome .section--hero {
    height: auto;
    background-size: cover;
  }


  .pageHome .section--hero__content:before {
    position: static;
    margin: 0 auto;
    margin-bottom: 3rem;
  }

  .section + .section { margin-top: 6rem; }

  .section--bg { padding: 3rem 0; }
  .section--bg .wrapper:after { display: none; }
  .section--bg .button { display: block; }

  .section--promo { margin-bottom: -6rem; }
  .section--promo__box { width: 100%; }
  .section--promo__box h2 { font-size: 3.2rem; }
  .section--promo__box .button { font-size: 1.8rem; }

  /* Photo fixes */
  .photoContainer { margin: 4rem 0; }

  .photoRow { gap: 2rem; }

  .photoGrid {
    grid-template-columns: minmax(0, 1fr);
    grid-template-areas: "A"
                         "B"
                         "C";
    justify-items: center;
  }

  .pageHome .photoGrid__A {
    padding: 4rem;
  }

  /* Map fixes */
  .mapContainer {
    margin-left: -2rem;
    margin-right: -2rem;
    padding-bottom: 100%;
  }

  .mapContainer iframe {
    border-radius: 0;
  }

  /* Contact fixes */
  .contactGrid {
    grid-template-columns: minmax(0, 1fr);
    grid-template-areas: "A"
                         "C"
                         "B";
  }

  .contactGrid__B { text-align: center; }

  .contactGrid__B .button { display: block; }

  /* Filters fixes */
  .filters > li + li { margin-left: 0; }
  .filters > li > a {
    font-size: 1.4rem;
    padding: 1rem 2rem;
  }

  .filters .swatch { display: none; }

  /* Promo fixes */
  .promo {
    text-align: center;
    background-position: 50% 3rem;
    background-size: 5.7rem 5.7rem;
    padding: 3rem;
  }

  .promo > h2 {
    font-size: 1.8rem;
    padding-left: 0;
    padding-top: 8rem;
  }

  .promo > .button { margin: 3rem -3rem -3rem; }

  /* Carousel fixes */
  .carousel {
    padding: 18rem 3rem 14rem;
    background: var(--colorGreyDark) url("../images/icon-quote.svg") no-repeat 3rem 6rem;
  }

  .carousel__quotes li:not(:first-child) { display: none; }

  .pageHome .carousel {
    position: static;
    margin: 3rem -2rem -2rem -2rem;
    padding: 3rem;
  }

  /* Services fixes */
  .servicesList {
    flex-direction: column;
    gap: 3rem;
    margin: 3rem 0 0 0;
  }

  .servicesList li {
    font-size: 2.3rem;
    text-align: left;
    white-space: nowrap;
  }

  .servicesList li span {
    font-size: 2.3rem;
    /* display: block; */
    padding-left: 1rem;
    margin-left: 0;
  }

  .service {
    grid-template-areas: "image" "text" ;
    grid-template-columns: minmax(0, 1fr);
    gap: 3rem;
  }

  .service figure {
    margin: 0 auto;
  }

  .service .button { display: block; }

  .service + .service { margin-top: 3rem; }

  .pageServices .service__text {
    border-bottom: none;
    grid-area: B;
  }

  /* Categories */
  .categories {
    grid-template-columns: minmax(0, 1fr);
  }

  .categories + .buttonContainer .button {
    margin-top: 6rem;
    display: block;
  }

  /* Footer fixes */
  .mainFooter { margin-top: 6rem; }

  .mainFooter .grid {
    grid-template-columns: minmax(0, 1fr);
    gap: 3rem;
  }

  .mainFooter .caption { text-align: left; }
  .mainFooter .small { margin-top: 3rem; }

  /* Utility fixes */
  .one-half,
  .three-quarters { width: 100%; }

  .col2,
  .col3,
  .col4 { grid-template-columns: minmax(0, 1fr); }

  .buttonContainer { margin-top: 3rem; }

  .centeredText { width: 100%; }

  .centeredText h2 {
    text-align: left;
    margin-bottom: 3rem;
  }

  .random-inset-both {
    margin-left: 0;
    margin-right: 0;
  }
  .random-inset-left { margin-left: 0; }

  .category--image img {
    width: 280px;
  }
  .page-template-home .photoGrid__A {
    padding: 7rem 8rem;
  }
  .photoGrid__A.curveBottomLeft {
    border-radius: 0;
  }
  .photoGrid__C {
    border-radius: 0 0 0 40px;
    overflow: hidden;
  }
  .page-template-home .carousel {
    padding: 15px 20px;
  }
  .foregroundImage {
    width: 350px;
    height: auto;
    right: auto;
    left: 20%;
  }
  .page-template-home .section--hero__content__text {
    margin-top: 360px;
  }
}

@media screen and (max-width: 768px) {
  body { font-size: 1.6rem; }

  h1, .h1, h2 { font-size: 3.2rem; }

  .field,
  textarea.field {
    font-size: 2.3rem;
    padding: 2rem;
  }

  .logo img {
    height: 5rem;
    width: auto;
  }

  .pageHome .section--hero__content:before {
    width: 32rem;
    height: 32rem;
  }

  .products {
    grid-template-columns: minmax(0, 1fr);
  }

  .category:before {
    width: 32rem;
    height: 38rem;
  }

  .photoRow {
    grid-template-columns: minmax(0, 1fr);
  }

  .pagination {
    text-align: center;
    margin-top: 3rem;
  }

  .foregroundImage {
    left: 10%;
    width: 300px;
  }

  .curveTopLeft { border-radius: 30px 0 0 0; }
  .curveTopRight { border-radius: 0 30px 0 0; }
  .curveBottomRight { border-radius: 0 0 30px 0; }
  .curveBottomLeft { border-radius: 0 0 0 30px; }

  .wineDetails {
    grid-template-columns: minmax(0, 1fr);
  }
  .terms_menu {
    flex-wrap: wrap;
  }
}
